Name:		jpilot-syncmal
Summary:	SyncMAL plugin for J-PILOT
Version:	0.52
Release:	4mdk
Epoch:		1

Source:		ftp://ftp.twocows.com/jpilot-syncmal_0.52.tar.bz2
Source2:	syncmal.tar.bz2
Source1:	malsync.tar.bz2

Group:		Communications
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
BuildRequires:	jpilot, jpilot-plugin-devel

%description
SyncMAL is an interface to the command line tool malsync, a program that
synchronizes a PDA with a MAL server such as AvantGo.

See AvantGo's homepage <http://avantgo.com/> for more information on AvantGo
and MAL.

%prep

%setup -q -n jpilot-syncmal_0.52
tar xjf %{SOURCE2}
tar xjf %{SOURCE1}

%build
%configure --with-mal-source==mal \
           --with-plugin-prefix=%{_libdir}/jpilot/plugins

%make 

%install
cd $RPM_BUILD_DIR/jpilot-syncmal_0.52
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jpilot/plugins
cp -a $RPM_BUILD_DIR/jpilot-syncmal_0.52/.libs/libsyncmal.so $RPM_BUILD_ROOT%{_libdir}/jpilot/plugins
cp -a $RPM_BUILD_DIR/jpilot-syncmal_0.52/libsyncmal.la $RPM_BUILD_ROOT%{_libdir}/jpilot/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog MPL-1_0.txt TODO
%dir %_libdir/jpilot/plugins
%_libdir/jpilot/plugins/*

%changelog
* Sat Jan 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.52-4mdk
- BuildRequires: jpilot, jpilot-plugin-devel
- Fix %%files
- Add documentation
- Rewrite Summary and Deskcription
- Spec clean up

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.52-3mdk
- Rebuilt for gcc 2.96.

* Sun Sep 24 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.52-2mdk
- remove BuildArch
- some macro's
- Packager remains Christopher Molnar <molnarc@mandrakesoft.com>
- Rebuilt on build cluster

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.52-1mdk
- New RPM for Mandrake.
